commit:     7d1670a572969ada1b290265750a4384c04883b4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 15 17:39:48 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 15 17:45:31 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d1670a5

dev-python/ntplib: EAPI 8, PEP517, py3.11

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ntplib/ntplib-0.4.0-r1.ebuild | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/dev-python/ntplib/ntplib-0.4.0-r1.ebuild 
b/dev-python/ntplib/ntplib-0.4.0-r1.ebuild
new file mode 100644
index 000000000000..dfd94fe8521b
--- /dev/null
+++ b/dev-python/ntplib/ntplib-0.4.0-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python NTP library"
+HOMEPAGE="
+       https://github.com/cf-natali/ntplib/
+       https://pypi.org/project/ntplib/
+"
+SRC_URI="
+       https://github.com/cf-natali/ntplib/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# tests fail with network-sandbox
+PROPERTIES="test_network"
+RESTRICT="test"
+
+python_test() {
+       "${EPYTHON}" ./test_ntplib.py -v || die
+}

Reply via email to